Paddle Billing
Ask AI

List runs for a simulation

Permission required

Returns a paginated list of simulation runs. Use the query parameters to page through results.

Use the include parameter to include related entities in the response.

Path Parameters

simulation_idstringrequired

Paddle ID of the simulation entity to work with.

Query Parameters

idarray[string]

Return only the IDs specified. Use a comma-separated list to get multiple entities.

afterstring

Return entities after the specified Paddle ID when working with paginated endpoints. Used in the meta.pagination.next URL in responses for list operations.

per_pageinteger

Set how many entities are returned per page. Paddle returns the maximum number of results if a number greater than the maximum is requested. Check meta.pagination.per_page in the response to see how many were returned.

Default: 50; Maximum: 200.

includearray[string]

Include related entities in the response.

order_bystring

Order returned entities by the specified field and direction ([ASC] or [DESC]). For example, ?order_by=id[ASC].

Valid fields for ordering: id.

Response

dataarray[object]

Represents a simulation run entity.

created_atstring<date-time>

RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.

idstring

Unique Paddle ID for this simulation run, prefixed with ntfsimrun_.

statusstring

Status of this simulation run.

typestring

Single event sent for this simulation, in the format entity.event_type.

updated_atstring<date-time>

RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.

eventsarray[object]

Events associated with this simulation run. Paddle creates a list of events for each simulation runs. Returned when the include parameter is used with the events value.

idstring

Unique Paddle ID for this simulation event, prefixed with ntfsimevt_.

statusstring

Status of this simulation run log.

event_typestring

Type of event sent by Paddle, in the format entity.event_type.

payloadobject

Simulation payload. Pass a JSON object that matches the schema for an event type to simulate a custom payload. If omitted, Paddle populates with a demo example.

requestobject or null

Information about the request. Sent by Paddle as part of the simulation.

responseobject or null

Information about the response. Sent by the responding server for the notification setting.

created_atstring<date-time>

RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.

updated_atstring<date-time>

RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.

metaobject

Information about this response.

request_idstring

Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.

paginationobject

Keys used for working with paginated results.

AI AssistantBeta

Ask me about Paddle

Discover, integrate, and debug faster. I'm here to help with all your questions and use cases.

Looking for help with a purchase? Visit paddle.net.

Powered by kapa.ai
|
Protected by hCaptcha